[arch-commits] Commit in texlive-bibtexextra/repos/extra-any (PKGBUILD PKGBUILD)

Rémy Oudompheng remy at archlinux.org
Wed Nov 15 22:46:50 UTC 2017


    Date: Wednesday, November 15, 2017 @ 22:46:49
  Author: remy
Revision: 310025

archrelease: copy trunk to extra-any

Added:
  texlive-bibtexextra/repos/extra-any/PKGBUILD
    (from rev 310024, texlive-bibtexextra/trunk/PKGBUILD)
Deleted:
  texlive-bibtexextra/repos/extra-any/PKGBUILD

----------+
 PKGBUILD |  126 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 64 insertions(+), 62 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-11-15 22:46:37 UTC (rev 310024)
+++ PKGBUILD	2017-11-15 22:46:49 UTC (rev 310025)
@@ -1,62 +0,0 @@
-# $Id$
-# Contributor: Firmicus <firmicus āt gmx dōt net>
-# Maintainer: Rémy Oudompheng <remy at archlinux.org>
-
-pkgname=texlive-bibtexextra
-pkgver=2017.45718
-_revnr=${pkgver#2017.}
-pkgrel=1
-pkgdesc="TeX Live - Additional BibTeX styles and bibliography databases"
-license=('GPL')
-arch=(any)
-depends=('texlive-core')
-groups=('texlive-most')
-url='http://tug.org/texlive/'
-source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip")
-sha256sums=('5c84d80509b00ca746536ed8f1be3b8ef7cf3d16fd87666f7d39e7f940763ba0')
-
-build() {
-   cd "$srcdir"
-   for p in *.tar.xz; do
-	   bsdtar -xf $p
-   done
-   rm -rf {tlpkg,doc,source} || true
-}
-
-package() {
-   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
-   sed -i '/^#/d' CONTENTS
-   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
-   install -m755 -d $pkgdir/usr/share
-   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
-   for dir in $wanteddirs; do
-     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
-     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
-   done
-   if [[ -d texmf-dist ]]; then
-     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
-     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
-   fi
-   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
-     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
-   fi
-
-   # link programs from /usr/share/texmf-dist/scripts
-   _linked_scripts="
-bibexport/bibexport.sh
-crossrefware/bbl2bib.pl
-crossrefware/bibdoiadd.pl
-crossrefware/bibmradd.pl
-crossrefware/bibzbladd.pl
-crossrefware/ltx2crossrefxml.pl
-listbib/listbib
-multibibliography/multibibliography.pl
-urlbst/urlbst
-"
-    install -m755 -d $pkgdir/usr/bin
-    for _script in ${_linked_scripts}; do
-        _scriptbase=$(basename $_script)
-        _scriptbase=${_scriptbase%.*}
-        ln -s /usr/share/texmf-dist/scripts/${_script} ${pkgdir}/usr/bin/${_scriptbase}
-    done
-}

Copied: texlive-bibtexextra/repos/extra-any/PKGBUILD (from rev 310024, texlive-bibtexextra/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-11-15 22:46:49 UTC (rev 310025)
@@ -0,0 +1,64 @@
+# $Id$
+# Contributor: Firmicus <firmicus āt gmx dōt net>
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-bibtexextra
+pkgver=2017.45810
+_revnr=${pkgver#2017.}
+pkgrel=1
+pkgdesc="TeX Live - Additional BibTeX styles and bibliography databases"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+groups=('texlive-most')
+url='http://tug.org/texlive/'
+source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip")
+sha256sums=('ad2d3487047d91f5d5a78e1b797c868c256101b4ea67b06e3d325c629fbedcc7')
+
+build() {
+   cd "$srcdir"
+   for p in *.tar.xz; do
+	   bsdtar -xf $p
+   done
+   rm -rf {tlpkg,doc,source} || true
+   # Avoid letters in biblatex version (breaks tex4ht).
+   sed -i '/abx at version/s,3.8a,3.8,' tex/latex/biblatex/biblatex.sty
+}
+
+package() {
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m755 -d $pkgdir/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+   fi
+   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+
+   # link programs from /usr/share/texmf-dist/scripts
+   _linked_scripts="
+bibexport/bibexport.sh
+crossrefware/bbl2bib.pl
+crossrefware/bibdoiadd.pl
+crossrefware/bibmradd.pl
+crossrefware/bibzbladd.pl
+crossrefware/ltx2crossrefxml.pl
+listbib/listbib
+multibibliography/multibibliography.pl
+urlbst/urlbst
+"
+    install -m755 -d $pkgdir/usr/bin
+    for _script in ${_linked_scripts}; do
+        _scriptbase=$(basename $_script)
+        _scriptbase=${_scriptbase%.*}
+        ln -s /usr/share/texmf-dist/scripts/${_script} ${pkgdir}/usr/bin/${_scriptbase}
+    done
+}


More information about the arch-commits mailing list